unit BDEDoRxP;

{$S-}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TProgressDlg = class(TForm)
    Label1: TLabel;
    AbortBtn: TButton;
    procedure AbortBtnClick(Sender: TObject);
    procedure AbortBtnMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
  public
    FOldCur: TCursor;
  end;

var
  ProgressDlg: TProgressDlg;

const
  {text to be displayed at the end of the restructure process:}
  ProgressDlgLastMessage: string = 'Moment please...';

implementation

{$R *.DFM}

procedure TProgressDlg.AbortBtnClick(Sender: TObject);
begin
  Tag := 1;
end;

procedure TProgressDlg.AbortBtnMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  Screen.Cursor := crDefault;
end;

procedure TProgressDlg.FormMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  Screen.Cursor := FOldCur;
end;

end.
