unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, RichTree;

type
  TForm1 = class(TForm)
    RichTreeView1: TRichTreeView;
    TreeView1: TTreeView;
    StatusBar1: TStatusBar;
    procedure RichTreeView1GetFont(Node: TTreeNode; var NewFont: TFont);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.RichTreeView1GetFont(Node: TTreeNode; var NewFont: TFont);
begin
     if Node<>nil then
      begin
          case Node.level of
          0 :
             begin
               NewFont.Color:=ClRed;
               NewFont.Name:='MS Sans Serif';
               NewFont.Size:=14;
                NewFont.Style :=[fsBold];
             end;
          1:
             begin
                NewFont.Name:='Terminal';
                NewFont.Size:=8;
                NewFont.color:=clBlue;
                NewFont.Style :=[fsUnderline]
             end;
          else
             begin
                NewFont.Name:='Arial';
                NewFont.Size:=16;
                NewFont.color:=clGreen;
                NewFont.Style :=[fsItalic,fsBold]
             end;
          end;
      end;

end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   Treeview1.FullExpand ;
   RichTreeView1.FullExpand ;
end;

end.
